#ifndef _VMEchip2lib_h
#define _VMEchip2lib_h


/*----------------------------------------------------------------------
 * Constants
 *---------------------------------------------------------------------*/

/*VMEchip2_irq() cmd constants*/
#define		CONFIG		0x41
#define		ENABLE		0x42
#define		DISABLE		0x43
/*
 * These option are not necessary for now
 *
#define		ENABLE_ALL	0x44
#define		DISABLE_ALL	0x45
 */

/*VMEchip2 constants*/
#define		VMECHIP2_ADR	0xFFF40000	/*default VMEchip2 addresse*/
#define		ADR_MODIFIER	0x39		/*default addresse modifier*/


/*----------------------------------------------------------------------
 * Functions prototypes 
 *---------------------------------------------------------------------*/

void VMEchip2_status (unsigned long *);

int VMEchip2_check_params (unsigned long *, int, unsigned long *, unsigned long);

int VMEchip2_irq (unsigned long *, unsigned char, unsigned char);


#endif /* _VMEchip2lib_h */
