#include <stdio.h>
#include <errno.h>
#include <sys/ioctl.h>
#include <sys/file.h>
#include <sys/time.h>
#include <unistd.h>
#include "ICV196.h"

extern int errno;

void main (unsigned int argc, char **argv)
{
        int fd, i, j;
        ICV196_arg arg;
	struct timeval before, after;
	struct timespec millisec={0, 100000};
	float elapsed;
	int action = WR;

      	fd = open ("/dev/ICV196_0", O_RDWR, 0x666); 
	printf("opened /dev/ICV196_0 , fd=%d\n",fd);

	for (;;)
	{
		gettimeofday(&before, NULL);
		for (j=0; j<0x100; j++)
		{
			arg.op = DIO_BIT;
			arg.num = atoi(argv[1]);
			arg.val[0] = j & 0x1;
	
			if (ioctl(fd, WR, (void*)&arg) != 0)
			{
				printf("error detected writing word (errno = %d) !\n",errno);
			}
			nanosleep(&millisec,NULL);
		}
/*
		gettimeofday(&after, NULL);
		elapsed = after.tv_sec - before.tv_sec;
		elapsed = elapsed*1000. + (float)(after.tv_usec-before.tv_usec)/1000.;
		printf("elapsed time %6.3f ms for %d writes = %6.3f ms per call\n",
		        elapsed, 0x100, elapsed/(float)0x100);
*/
	}
}

